.TH IFSTATUS 8 "Purdue ECN" "12 Oct 95"
.SH NAME
ifstatus \- check network interface status
.SH SYNOPSIS
.B ifstatus
[
.B \-v
]
.SH DESCRIPTION
.PP
.B Ifstatus
checks all network interfaces on the system, and reports any that are in
debug or promiscuous mode, which may be a sign of unauthorized access to
the system.
.PP
If the
.B \-v
option is specified,
.B ifstatus
will print the name of each interface and the hexadecimal representation
of the interface's flags word.  If
.B ifstatus
is run on a Solaris 8 system, the number of promiscuous STREAMS will be
listed instead of the flags.
.SH SEE ALSO
.BR ifconfig (8)
.SH BUGS
The
.B ifstatus
command can not determine, in Solaris 7 and higher, if an le interface
has been placed in promiscuous mode.  This is due to the method of
placing a given STREAM (struct lestr) into promiscuous mode.  Please see
the attached
.B README
file for further details.  This will likely require a change to the le
driver to fix.
.SH AUTHORS
David A. Curry \- ISS \- davy@iss.net
.br
and
.br
Rob Thomas \- robt@cymru.com
